<h1>Welcome to Campus Sustainability Challenges Tracker</h1>

<% if user_signed_in? %>
  <p>Welcome, user <%= current_user.email %>!</p>
  <%= button_to 'Sign Out', destroy_user_session_path, method: :delete, class: 'btn btn-secondary' %>
  <br>
  <br>
  <%= link_to 'View User Dashboard', dashboard_path, class: 'btn btn-secondary' %>

  <% if current_user.admin? %>
    <%= link_to 'Admin Dashboard', rails_admin.dashboard_path, class: 'btn btn-warning' %>
  <% end %>

<% else %>
  <%= link_to 'Register', new_user_registration_path, class: 'btn btn-primary' %>
  <%= link_to 'Login', new_user_session_path, class: 'btn btn-primary' %>
<% end %>

<h2>Ongoing Challenges</h2>
<% if @challenges.present? %>
  <% @challenges.each do |challenge| %>
    <div>
      <h3><%= challenge.name %></h3>
      <p><%= challenge.description %></p>
      <%= link_to 'Read More', challenge_path(challenge), class: 'btn btn-secondary' %>
    </div>
  <% end %>
<% else %>
  <p>No ongoing challenges at the moment.</p>
<% end %>
